module "efs" {
  source                                = "terraform-aws-modules/efs/aws"
  version                               = "1.1.1"
  for_each                              = var.efs_conf
  name                                  = each.key
  tags                                  = try(each.value.tags, var.tags)
  availability_zone_name                = try(each.value.availability_zone_name, var.availability_zone_name)
  creation_token                        = try(each.value.creation_token, var.creation_token)
  performance_mode                      = try(each.value.performance_mode, var.performance_mode)
  encrypted                             = try(each.value.encrypted, var.encrypted)
  kms_key_arn                           = try(each.value.kms_key_arn, var.kms_key_arn)
  provisioned_throughput_in_mibps       = try(each.value.provisioned_throughput_in_mibps, var.provisioned_throughput_in_mibps)
  throughput_mode                       = try(each.value.throughput_mode, var.throughput_mode)
  lifecycle_policy                      = try(each.value.lifecycle_policy, var.lifecycle_policy)
  attach_policy                         = try(each.value.attach_policy, var.attach_policy)
  bypass_policy_lockout_safety_check    = try(each.value.bypass_policy_lockout_safety_check, var.bypass_policy_lockout_safety_check)
  source_policy_documents               = try(each.value.source_policy_documents, var.source_policy_documents)
  override_policy_documents             = try(each.value.override_policy_documents, var.override_policy_documents)
  policy_statements                     = try(each.value.policy_statements, var.policy_statements)
  deny_nonsecure_transport              = try(each.value.deny_nonsecure_transport, var.deny_nonsecure_transport)
  mount_targets                         = try(each.value.mount_targets, var.mount_targets)
  create_security_group                 = try(each.value.create_security_group, var.create_security_group)
  security_group_name                   = try(each.value.security_group_name, var.security_group_name)
  security_group_description            = try(each.value.security_group_description, var.security_group_description)
  security_group_use_name_prefix        = try(each.value.security_group_use_name_prefix, var.security_group_use_name_prefix)
  security_group_vpc_id                 = try(each.value.security_group_vpc_id, var.security_group_vpc_id)
  security_group_rules                  = try(each.value.security_group_rules, var.security_group_rules)
  access_points                         = try(each.value.access_points, var.access_points)
  create_backup_policy                  = try(each.value.create_backup_policy, var.create_backup_policy)
  enable_backup_policy                  = try(each.value.enable_backup_policy, var.enable_backup_policy)
  create_replication_configuration      = try(each.value.create_replication_configuration, var.create_replication_configuration)
  replication_configuration_destination = try(each.value.replication_configuration_destination, var.replication_configuration_destination)
}